Subject: Re: [PATCH 12/13] gianfar: Add flags for magic packet and MDIO.

From: Scott Wood <[email-masked]>
Date: Mon, 07 May 2007 16:31:53 -0500

Andy Fleming wrote:
> On May 7, 2007, at 14:54, Scott Wood wrote:
>> TSEC1 contains the MDIO registers for both TSEC1 and TSEC2.  Thus,  TSEC1
>> cannot be put to sleep if TSEC2 is active (plus, the phy timer would
>> have to be deactivated).  For now, the simple approach of never  sleeping
>> TSEC1 is used.
> 
> The PHY timer is part of the PHY Lib.  The PHY Lib has infrastructure  
> to support suspend/resume.  Any thoughts on using that?  More in an  
> another email.

If the MDIO registers had their own clock disable bit, then sure.  They 
don't.

As for the phy timer issue, it seems that phy_stop() doesn't stop the 
timer, which is probably a bug.

-Scott